org.apache.hadoop.hdfs.server.namenode

## Class FsImageProto

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.FsImageProto

-     public final class FsImageProto
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FsImageProto.CacheManagerSection` Protobuf type `hadoop.hdfs.fsimage.CacheManagerSection`
    `static interface` | `FsImageProto.CacheManagerSectionOrBuilder`
    `static class` | `FsImageProto.ErasureCodingSection` Protobuf type `hadoop.hdfs.fsimage.ErasureCodingSection`
    `static interface` | `FsImageProto.ErasureCodingSectionOrBuilder`
    `static class` | `FsImageProto.FileSummary` Protobuf type `hadoop.hdfs.fsimage.FileSummary`
    `static interface` | `FsImageProto.FileSummaryOrBuilder`
    `static class` | `FsImageProto.FilesUnderConstructionSection` Protobuf type `hadoop.hdfs.fsimage.FilesUnderConstructionSection`
    `static interface` | `FsImageProto.FilesUnderConstructionSectionOrBuilder`
    `static class` | `FsImageProto.INodeDirectorySection` Protobuf type `hadoop.hdfs.fsimage.INodeDirectorySection`
    `static interface` | `FsImageProto.INodeDirectorySectionOrBuilder`
    `static class` | `FsImageProto.INodeReferenceSection` Protobuf type `hadoop.hdfs.fsimage.INodeReferenceSection`
    `static interface` | `FsImageProto.INodeReferenceSectionOrBuilder`
    `static class` | `FsImageProto.INodeSection` Protobuf type `hadoop.hdfs.fsimage.INodeSection`
    `static interface` | `FsImageProto.INodeSectionOrBuilder`
    `static class` | `FsImageProto.NameSystemSection` Protobuf type `hadoop.hdfs.fsimage.NameSystemSection`
    `static interface` | `FsImageProto.NameSystemSectionOrBuilder`
    `static class` | `FsImageProto.SecretManagerSection` Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection`
    `static interface` | `FsImageProto.SecretManagerSectionOrBuilder`
    `static class` | `FsImageProto.SnapshotDiffSection` Protobuf type `hadoop.hdfs.fsimage.SnapshotDiffSection`
    `static interface` | `FsImageProto.SnapshotDiffSectionOrBuilder`
    `static class` | `FsImageProto.SnapshotSection` Protobuf type `hadoop.hdfs.fsimage.SnapshotSection`
    `static interface` | `FsImageProto.SnapshotSectionOrBuilder`
    `static class` | `FsImageProto.StringTableSection` Protobuf type `hadoop.hdfs.fsimage.StringTableSection`
    `static interface` | `FsImageProto.StringTableSectionOrBuilder`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()`
    `static void` | `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registerAllExtensions

          public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

    - #### getDescriptor

          public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.